[Django] #30728: Django urls patterns resolver shadowing exceptions thrown everywhere else

classic Classic list List threaded Threaded
14 messages Options
Reply | Threaded
Open this post in threaded view
|

[Django] #30728: Django urls patterns resolver shadowing exceptions thrown everywhere else

Django
#30728: Django urls patterns resolver shadowing exceptions thrown everywhere else
---------------------------------------+------------------------
               Reporter:  maks500      |          Owner:  nobody
                   Type:  Bug          |         Status:  new
              Component:  Core (URLs)  |        Version:  2.2
               Severity:  Normal       |       Keywords:
           Triage Stage:  Unreviewed   |      Has patch:  0
    Needs documentation:  0            |    Needs tests:  0
Patch needs improvement:  0            |  Easy pickings:  0
                  UI/UX:  0            |
---------------------------------------+------------------------
 The new version of django somehow captures all the exceptions ocurred
 while parsing the urlpatterns.

 How to reproduce:
   * Create a django project
   * Create a an app

 app/views.py
 {{{
 from django.shortcuts import render

 class MyCustomExceptionShadowed(Exception):
   pass

 raise MyCustomExceptionShadowed('I have a description of your error')

 # Create your views here.
 def myview(request):
   pass
 }}}

 urls.py
 {{{
 from django.contrib import admin
 from django.urls import path

 from bugtest import views

 urlpatterns = [
     path('', views.myview),
     path('admin/', admin.site.urls),
 ]

 }}}

 When running the server I get

 {{{
 django.core.exceptions.ImproperlyConfigured: The included URLconf
 'bug.urls' does not appear to have any patterns in it. If you see valid
 patterns in the file then the issue is probably caused by a circular
 import.
 }}}

 When in fact I expect it to say
 {{{
   File "/home/ariel-nt/Desktop/test/bug/bugtest/views.py", line 6, in
 <module>
     raise MyCustomExceptionShadowed('I have a description of your error')
 bugtest.views.MyCustomExceptionShadowed: I have a description of your
 error
 }}}

 I tested this with django 2.1 and it works as expected, so I'll now try to
 find the root cause of the error and give an update here

--
Ticket URL: <https://code.djangoproject.com/ticket/30728>
Django <https://code.djangoproject.com/>
The Web framework for perfectionists with deadlines.

--
You received this message because you are subscribed to the Google Groups "Django updates" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/django-updates/050.64e19cfbc0916d7e20b9009937e40993%40djangoproject.com.
Reply | Threaded
Open this post in threaded view
|

Re: [Django] #30728: Django urls patterns resolver shadowing exceptions thrown everywhere else

Django
#30728: Django urls patterns resolver shadowing exceptions thrown everywhere else
-----------------------------+--------------------------------------
     Reporter:  maks500      |                    Owner:  nobody
         Type:  Bug          |                   Status:  new
    Component:  Core (URLs)  |                  Version:  2.2
     Severity:  Normal       |               Resolution:
     Keywords:               |             Triage Stage:  Unreviewed
    Has patch:  0            |      Needs documentation:  0
  Needs tests:  0            |  Patch needs improvement:  0
Easy pickings:  0            |                    UI/UX:  0
-----------------------------+--------------------------------------
Description changed by maks500:

Old description:

> The new version of django somehow captures all the exceptions ocurred
> while parsing the urlpatterns.
>
> How to reproduce:
>   * Create a django project
>   * Create a an app
>
> app/views.py
> {{{
> from django.shortcuts import render
>
> class MyCustomExceptionShadowed(Exception):
>   pass
>
> raise MyCustomExceptionShadowed('I have a description of your error')
>
> # Create your views here.
> def myview(request):
>   pass
> }}}
>
> urls.py
> {{{
> from django.contrib import admin
> from django.urls import path
>
> from bugtest import views
>
> urlpatterns = [
>     path('', views.myview),
>     path('admin/', admin.site.urls),
> ]
>
> }}}
>
> When running the server I get
>
> {{{
> django.core.exceptions.ImproperlyConfigured: The included URLconf
> 'bug.urls' does not appear to have any patterns in it. If you see valid
> patterns in the file then the issue is probably caused by a circular
> import.
> }}}
>
> When in fact I expect it to say
> {{{
>   File "/home/ariel-nt/Desktop/test/bug/bugtest/views.py", line 6, in
> <module>
>     raise MyCustomExceptionShadowed('I have a description of your error')
> bugtest.views.MyCustomExceptionShadowed: I have a description of your
> error
> }}}
>
> I tested this with django 2.1 and it works as expected, so I'll now try
> to find the root cause of the error and give an update here
New description:

 The new version of django somehow captures all the exceptions ocurred
 while parsing the urlpatterns.

 How to reproduce:
   * Create a django project
   * Create a an app

 app/views.py
 {{{
 from django.shortcuts import render

 class MyCustomExceptionShadowed(Exception):
   pass

 raise MyCustomExceptionShadowed('I have a description of your error')

 # Create your views here.
 def myview(request):
   pass
 }}}

 urls.py
 {{{
 from django.contrib import admin
 from django.urls import path

 from bugtest import views

 urlpatterns = [
     path('', views.myview),
     path('admin/', admin.site.urls),
 ]

 }}}

 When running the server I get

 {{{
 django.core.exceptions.ImproperlyConfigured: The included URLconf
 'bug.urls' does not appear to have any patterns in it. If you see valid
 patterns in the file then the issue is probably caused by a circular
 import.
 }}}

 When in fact I expect it to say
 {{{
   File "/home/ariel-nt/Desktop/test/bug/bugtest/views.py", line 6, in
 <module>
     raise MyCustomExceptionShadowed('I have a description of your error')
 bugtest.views.MyCustomExceptionShadowed: I have a description of your
 error
 }}}

 I tested this with django 2.1 and it works as expected, so I'll now try to
 find the root cause of the error and give an update here
 The issue in introduced in this commit
 [https://github.com/django/django/commit/097457afe47e50e76d53b1cd3312ba8364f866cb
 #diff-46e69f287173eef41fcbfeba05501954R274]
 This line
 [https://github.com/django/django/blob/097457afe47e50e76d53b1cd3312ba8364f866cb/django/utils/autoreload.py#L274]
 absorbs all the exceptions not showing them to the developer.

--

--
Ticket URL: <https://code.djangoproject.com/ticket/30728#comment:1>
Django <https://code.djangoproject.com/>
The Web framework for perfectionists with deadlines.

--
You received this message because you are subscribed to the Google Groups "Django updates" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/django-updates/065.1f6386a63c8fd09b6851231dcbda9fa6%40djangoproject.com.
Reply | Threaded
Open this post in threaded view
|

Re: [Django] #30728: Django urls patterns resolver shadowing exceptions thrown everywhere else

Django
In reply to this post by Django
#30728: Django urls patterns resolver shadowing exceptions thrown everywhere else
-----------------------------+--------------------------------------
     Reporter:  Ariel Torti  |                    Owner:  nobody
         Type:  Bug          |                   Status:  new
    Component:  Utilities    |                  Version:  2.2
     Severity:  Normal       |               Resolution:
     Keywords:               |             Triage Stage:  Unreviewed
    Has patch:  0            |      Needs documentation:  0
  Needs tests:  0            |  Patch needs improvement:  0
Easy pickings:  0            |                    UI/UX:  0
-----------------------------+--------------------------------------
Changes (by Ariel Torti):

 * component:  Core (URLs) => Utilities


--
Ticket URL: <https://code.djangoproject.com/ticket/30728#comment:2>
Django <https://code.djangoproject.com/>
The Web framework for perfectionists with deadlines.

--
You received this message because you are subscribed to the Google Groups "Django updates" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/django-updates/065.43de8a554952e3d4eccfc23f3cfac37b%40djangoproject.com.
Reply | Threaded
Open this post in threaded view
|

Re: [Django] #30728: Django urls patterns resolver shadowing exceptions thrown everywhere else

Django
In reply to this post by Django
#30728: Django urls patterns resolver shadowing exceptions thrown everywhere else
---------------------------------+------------------------------------
     Reporter:  Ariel Torti      |                    Owner:  nobody
         Type:  Bug              |                   Status:  new
    Component:  Utilities        |                  Version:  2.2
     Severity:  Release blocker  |               Resolution:
     Keywords:                   |             Triage Stage:  Accepted
    Has patch:  0                |      Needs documentation:  0
  Needs tests:  0                |  Patch needs improvement:  0
Easy pickings:  0                |                    UI/UX:  0
---------------------------------+------------------------------------
Changes (by Claude Paroz):

 * severity:  Normal => Release blocker
 * stage:  Unreviewed => Accepted


--
Ticket URL: <https://code.djangoproject.com/ticket/30728#comment:3>
Django <https://code.djangoproject.com/>
The Web framework for perfectionists with deadlines.

--
You received this message because you are subscribed to the Google Groups "Django updates" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/django-updates/065.9268a1441144bef39734bbdc5926a85f%40djangoproject.com.
Reply | Threaded
Open this post in threaded view
|

Re: [Django] #30728: Django urls patterns resolver shadowing exceptions thrown everywhere else

Django
In reply to this post by Django
#30728: Django urls patterns resolver shadowing exceptions thrown everywhere else
---------------------------------+------------------------------------
     Reporter:  Ariel Torti      |                    Owner:  nobody
         Type:  Bug              |                   Status:  new
    Component:  Utilities        |                  Version:  2.2
     Severity:  Release blocker  |               Resolution:
     Keywords:                   |             Triage Stage:  Accepted
    Has patch:  0                |      Needs documentation:  0
  Needs tests:  0                |  Patch needs improvement:  0
Easy pickings:  0                |                    UI/UX:  0
---------------------------------+------------------------------------
Changes (by felixxm):

 * cc: Tom Forbes (added)


--
Ticket URL: <https://code.djangoproject.com/ticket/30728#comment:4>
Django <https://code.djangoproject.com/>
The Web framework for perfectionists with deadlines.

--
You received this message because you are subscribed to the Google Groups "Django updates" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/django-updates/065.88659a7ad7bcf5d4669ecaa0e785bd53%40djangoproject.com.
Reply | Threaded
Open this post in threaded view
|

Re: [Django] #30728: Django urls patterns resolver shadowing exceptions thrown everywhere else

Django
In reply to this post by Django
#30728: Django urls patterns resolver shadowing exceptions thrown everywhere else
---------------------------------+------------------------------------
     Reporter:  Ariel Torti      |                    Owner:  nobody
         Type:  Bug              |                   Status:  new
    Component:  Utilities        |                  Version:  2.2
     Severity:  Release blocker  |               Resolution:
     Keywords:                   |             Triage Stage:  Accepted
    Has patch:  0                |      Needs documentation:  0
  Needs tests:  0                |  Patch needs improvement:  0
Easy pickings:  0                |                    UI/UX:  0
---------------------------------+------------------------------------

Comment (by Tom Forbes):

 I cannot seem to reproduce this with the latest master
 (bb9e82f2748ace292a584841ab9af8696df27f53), even with the same code as the
 description:

 {{{
 Exception in thread django-main-thread:
 Traceback (most recent call last):
   ...
   File "<frozen importlib._bootstrap_external>", line 728, in exec_module
   File "<frozen importlib._bootstrap>", line 219, in
 _call_with_frames_removed
   File
 "/Users/tom/PycharmProjects/test_django_app/test_django_app/urls.py", line
 6, in <module>
     from test_app import views
   File "/Users/tom/PycharmProjects/test_django_app/test_app/views.py",
 line 6, in <module>
     raise MyCustomExceptionShadowed('I have a description of your error')
 test_app.views.MyCustomExceptionShadowed: I have a description of your
 error
 }}}

 There is this snippet of code in the autoreloader:

 {{{
         try:
             get_resolver().urlconf_module
         except Exception:
             # Loading the urlconf can result in errors during development.
             # If this occurs then swallow the error and continue.
             pass
 }}}

 which catches the exception (added to fix #30323), but the exception
 should always be re-thrown by the system checks code in `runserver()`, or
 if that's somehow disabled/silenced then when the view is requested.

--
Ticket URL: <https://code.djangoproject.com/ticket/30728#comment:5>
Django <https://code.djangoproject.com/>
The Web framework for perfectionists with deadlines.

--
You received this message because you are subscribed to the Google Groups "Django updates" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/django-updates/065.c1ba90e0960b4d9d32d476713364917e%40djangoproject.com.
Reply | Threaded
Open this post in threaded view
|

Re: [Django] #30728: Django urls patterns resolver shadowing exceptions thrown everywhere else

Django
In reply to this post by Django
#30728: Django urls patterns resolver shadowing exceptions thrown everywhere else
---------------------------------+------------------------------------
     Reporter:  Ariel Torti      |                    Owner:  nobody
         Type:  Bug              |                   Status:  new
    Component:  Utilities        |                  Version:  2.2
     Severity:  Release blocker  |               Resolution:
     Keywords:                   |             Triage Stage:  Accepted
    Has patch:  0                |      Needs documentation:  0
  Needs tests:  0                |  Patch needs improvement:  0
Easy pickings:  0                |                    UI/UX:  0
---------------------------------+------------------------------------

Comment (by Tom Forbes):

 Also I cannot see how the given exception ("The included URLconf ...")
 could be caused by the autoreloader. It's triggered from this code:

 {{{
         patterns = getattr(self.urlconf_module, "urlpatterns",
 self.urlconf_module)
         try:
             iter(patterns)
         except TypeError:
             msg = (
                 "The included URLconf '{name}' does not appear to have any
 "
                 "patterns in it. If you see valid patterns in the file
 then "
                 "the issue is probably caused by a circular import."
             )
             raise ImproperlyConfigured(msg.format(name=self.urlconf_name))
 }}}

 If the urls.py code was evaluated at all then this code wouldn't be
 reached and the exception not thrown. So, if this is not something
 specific to the users environment then something very fishy is going on.

--
Ticket URL: <https://code.djangoproject.com/ticket/30728#comment:6>
Django <https://code.djangoproject.com/>
The Web framework for perfectionists with deadlines.

--
You received this message because you are subscribed to the Google Groups "Django updates" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/django-updates/065.15cf56c19dcb0e0f89e843d00f930ca5%40djangoproject.com.
Reply | Threaded
Open this post in threaded view
|

Re: [Django] #30728: Django urls patterns resolver shadowing exceptions thrown everywhere else

Django
In reply to this post by Django
#30728: Django urls patterns resolver shadowing exceptions thrown everywhere else
---------------------------------+------------------------------------
     Reporter:  Ariel Torti      |                    Owner:  nobody
         Type:  Bug              |                   Status:  new
    Component:  Utilities        |                  Version:  2.2
     Severity:  Release blocker  |               Resolution:
     Keywords:                   |             Triage Stage:  Accepted
    Has patch:  0                |      Needs documentation:  0
  Needs tests:  0                |  Patch needs improvement:  0
Easy pickings:  0                |                    UI/UX:  0
---------------------------------+------------------------------------

Comment (by Keryn Knight):

 This looks like it could ''possibly'' be the same problem described in
 #30500 (and #30674). As with those, knowing the version of Python being
 used would be useful.

--
Ticket URL: <https://code.djangoproject.com/ticket/30728#comment:7>
Django <https://code.djangoproject.com/>
The Web framework for perfectionists with deadlines.

--
You received this message because you are subscribed to the Google Groups "Django updates" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/django-updates/065.0a471396f09bde7a00e06a236af5af02%40djangoproject.com.
Reply | Threaded
Open this post in threaded view
|

Re: [Django] #30728: Django urls patterns resolver shadowing exceptions thrown everywhere else

Django
In reply to this post by Django
#30728: Django urls patterns resolver shadowing exceptions thrown everywhere else
---------------------------------+------------------------------------
     Reporter:  Ariel Torti      |                    Owner:  nobody
         Type:  Bug              |                   Status:  new
    Component:  Utilities        |                  Version:  2.2
     Severity:  Release blocker  |               Resolution:
     Keywords:                   |             Triage Stage:  Accepted
    Has patch:  0                |      Needs documentation:  0
  Needs tests:  0                |  Patch needs improvement:  0
Easy pickings:  0                |                    UI/UX:  0
---------------------------------+------------------------------------

Comment (by Ariel Torti):

 Replying to [comment:6 Tom Forbes]:
 > Also I cannot see how the given exception ("The included URLconf ...")
 could be caused by the autoreloader. It's triggered from this code:
 >
 > {{{
 >         patterns = getattr(self.urlconf_module, "urlpatterns",
 self.urlconf_module)
 >         try:
 >             iter(patterns)
 >         except TypeError:
 >             msg = (
 >                 "The included URLconf '{name}' does not appear to have
 any "
 >                 "patterns in it. If you see valid patterns in the file
 then "
 >                 "the issue is probably caused by a circular import."
 >             )
 >             raise
 ImproperlyConfigured(msg.format(name=self.urlconf_name))
 > }}}
 >
 > If the urls.py code was evaluated at all then this code wouldn't be
 reached and the exception not thrown. So, if this is not something
 specific to the users environment then something very fishy is going on.

 Ok, so to make sure it was not my environment configuration getting on the
 way I tried to reproduce it on a docker container.
 With Python 3.7.0 and Django 2.2.4 (the latest version from pip) it worked
 just right.

 But then I tried running it with Python 3.5.2 (same version as my local
 machine where I have the issue) and I got the
 `django.core.exceptions.ImproperlyConfigured` instead of my exception.
 Apparently is a race condition (maybe?) because when I run it again it
 worked as expected, it failed only sometimes.

 I will attach a file of the system configuration and the output showing it
 doesn't fail every time I run it. There's also the bundled project, can
 you try and check if you can reproduce it using Python 3.5.2

--
Ticket URL: <https://code.djangoproject.com/ticket/30728#comment:8>
Django <https://code.djangoproject.com/>
The Web framework for perfectionists with deadlines.

--
You received this message because you are subscribed to the Google Groups "Django updates" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/django-updates/065.3eacce392a161ad38be2acab52fc0c7e%40djangoproject.com.
Reply | Threaded
Open this post in threaded view
|

Re: [Django] #30728: Django urls patterns resolver shadowing exceptions thrown everywhere else

Django
In reply to this post by Django
#30728: Django urls patterns resolver shadowing exceptions thrown everywhere else
---------------------------------+------------------------------------
     Reporter:  Ariel Torti      |                    Owner:  nobody
         Type:  Bug              |                   Status:  new
    Component:  Utilities        |                  Version:  2.2
     Severity:  Release blocker  |               Resolution:
     Keywords:                   |             Triage Stage:  Accepted
    Has patch:  0                |      Needs documentation:  0
  Needs tests:  0                |  Patch needs improvement:  0
Easy pickings:  0                |                    UI/UX:  0
---------------------------------+------------------------------------
Changes (by Ariel Torti):

 * Attachment "bug.zip" added.

 Bundled PoC project

--
Ticket URL: <https://code.djangoproject.com/ticket/30728>
Django <https://code.djangoproject.com/>
The Web framework for perfectionists with deadlines.

--
You received this message because you are subscribed to the Google Groups "Django updates" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/django-updates/065.1a0d16228c4841b1c4d01a4635b22998%40djangoproject.com.
Reply | Threaded
Open this post in threaded view
|

Re: [Django] #30728: Django urls patterns resolver shadowing exceptions thrown everywhere else

Django
In reply to this post by Django
#30728: Django urls patterns resolver shadowing exceptions thrown everywhere else
---------------------------------+------------------------------------
     Reporter:  Ariel Torti      |                    Owner:  nobody
         Type:  Bug              |                   Status:  new
    Component:  Utilities        |                  Version:  2.2
     Severity:  Release blocker  |               Resolution:
     Keywords:                   |             Triage Stage:  Accepted
    Has patch:  0                |      Needs documentation:  0
  Needs tests:  0                |  Patch needs improvement:  0
Easy pickings:  0                |                    UI/UX:  0
---------------------------------+------------------------------------
Changes (by Ariel Torti):

 * Attachment "output.log" added.

 System information and run output, you can see it appears the issue has
 something to do with race condition because it doesn't trigger everytime I
 run it.

--
Ticket URL: <https://code.djangoproject.com/ticket/30728>
Django <https://code.djangoproject.com/>
The Web framework for perfectionists with deadlines.

--
You received this message because you are subscribed to the Google Groups "Django updates" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/django-updates/065.1ac008b373d55093fd21acaf817edfda%40djangoproject.com.
Reply | Threaded
Open this post in threaded view
|

Re: [Django] #30728: Django urls patterns resolver shadowing exceptions thrown everywhere else

Django
In reply to this post by Django
#30728: Django urls patterns resolver shadowing exceptions thrown everywhere else
---------------------------------+------------------------------------
     Reporter:  Ariel Torti      |                    Owner:  nobody
         Type:  Bug              |                   Status:  new
    Component:  Utilities        |                  Version:  2.2
     Severity:  Release blocker  |               Resolution:
     Keywords:                   |             Triage Stage:  Accepted
    Has patch:  0                |      Needs documentation:  0
  Needs tests:  0                |  Patch needs improvement:  0
Easy pickings:  0                |                    UI/UX:  0
---------------------------------+------------------------------------

Comment (by Ariel Torti):

 Everything works just fine on Python 3.5.7, apparently it's a bug with
 python itself.
 So the solution would be to update python, do I set the ticket as fixed ?

--
Ticket URL: <https://code.djangoproject.com/ticket/30728#comment:9>
Django <https://code.djangoproject.com/>
The Web framework for perfectionists with deadlines.

--
You received this message because you are subscribed to the Google Groups "Django updates" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/django-updates/065.92438d4c28cec79dc71c4cff0590daf9%40djangoproject.com.
Reply | Threaded
Open this post in threaded view
|

Re: [Django] #30728: Django urls patterns resolver shadowing exceptions thrown everywhere else

Django
In reply to this post by Django
#30728: Django urls patterns resolver shadowing exceptions thrown everywhere else
---------------------------------+------------------------------------
     Reporter:  Ariel Torti      |                    Owner:  nobody
         Type:  Bug              |                   Status:  new
    Component:  Utilities        |                  Version:  2.2
     Severity:  Release blocker  |               Resolution:
     Keywords:                   |             Triage Stage:  Accepted
    Has patch:  0                |      Needs documentation:  0
  Needs tests:  0                |  Patch needs improvement:  0
Easy pickings:  0                |                    UI/UX:  0
---------------------------------+------------------------------------

Comment (by Tom Forbes):

 Let’s keep it open for now, thank you for your detailed and very helpful
 diagnostics

 Likely the fix will be just “update Python”, but I want to do some digging
 around why exactly this happens and document it here.

--
Ticket URL: <https://code.djangoproject.com/ticket/30728#comment:10>
Django <https://code.djangoproject.com/>
The Web framework for perfectionists with deadlines.

--
You received this message because you are subscribed to the Google Groups "Django updates" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/django-updates/065.87cf1506181b371faa4bdabc7bd31a34%40djangoproject.com.
Reply | Threaded
Open this post in threaded view
|

Re: [Django] #30728: Django urls patterns resolver shadowing exceptions thrown everywhere else

Django
In reply to this post by Django
#30728: Django urls patterns resolver shadowing exceptions thrown everywhere else
---------------------------------+-------------------------------------
     Reporter:  Ariel Torti      |                    Owner:  nobody
         Type:  Bug              |                   Status:  closed
    Component:  Utilities        |                  Version:  2.2
     Severity:  Release blocker  |               Resolution:  duplicate
     Keywords:                   |             Triage Stage:  Accepted
    Has patch:  0                |      Needs documentation:  0
  Needs tests:  0                |  Patch needs improvement:  0
Easy pickings:  0                |                    UI/UX:  0
---------------------------------+-------------------------------------
Changes (by Tom Forbes):

 * status:  new => closed
 * resolution:   => duplicate


Comment:

 I'm going to close this in favour of #30500 which is the same issue, and
 has a lot more information there. I've posted my findings so far in
 https://code.djangoproject.com/ticket/30500#comment:14.

--
Ticket URL: <https://code.djangoproject.com/ticket/30728#comment:11>
Django <https://code.djangoproject.com/>
The Web framework for perfectionists with deadlines.

--
You received this message because you are subscribed to the Google Groups "Django updates" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/django-updates/065.90e6f9a8a9a7de6b55a7716b3653722b%40djangoproject.com.